#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire200seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 200"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire200seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven2004xi    



#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven2004xi = {
                1:'-102x-157y69z',
                2:'-102x-171y0z',
                3:'-103x-119y255z',
                4:'-104x-130y109z',
                5:'-109x-151y71z',
                6:'-10x-193y50z',
                7:'-110x-123y111z',
                8:'-111x-166y2z',
                9:'-115x-117y113z',
                10:'-117x-144y73z',
                11:'-119x-160y4z',
                12:'-120x-110y114z',
                13:'-123x-137y75z',
                14:'-125x-103y116z',
                15:'-127x-153y6z',
                16:'-129x-95y118z',
                17:'-130x-130y77z',
                18:'-133x-88y119z',
                19:'-135x-146y8z',
                20:'-136x-122y79z',
                21:'-137x-80y121z',
                22:'-13x-99y172z',
                23:'-140x-72y122z',
                24:'-142x-115y81z',
                25:'-142x-64y124z',
                26:'-143x-139y10z',
                27:'-144x-56y126z',
                28:'-146x-48y127z',
                29:'-147x-106y82z',
                30:'-147x-32y130z',
                31:'-147x-40y129z',
                32:'-150x-131y12z',
                33:'-151x-98y84z',
                34:'-156x-123y14z',
                35:'-156x-90y86z',
                36:'-159x-81y88z',
                37:'-162x-115y16z',
                38:'-163x-72y90z',
                39:'-165x-63y91z',
                40:'-168x-106y18z',
                41:'-168x-54y93z',
                42:'-169x-45y95z',
                43:'-171x-18y100z',
                44:'-171x-27y98z',
                45:'-171x-36y97z',
                46:'-173x-97y20z',
                47:'-178x-87y22z',
                48:'-17x-177y90z',
                49:'-182x-78y24z',
                50:'-185x-68y26z',
                51:'-189x-58y28z',
                52:'-18x-97y173z',
                53:'-191x-48y30z',
                54:'-1x-1y199z',
                55:'-1x-28y197z',
                56:'-20x-191y52z',
                57:'-22x-94y174z',
                58:'-26x-175y92z',
                59:'-27x-91y175z',
                60:'-2x-104y170z',
                61:'-30x-189y54z',
                62:'-31x-88y176z',
                63:'-35x-172y94z',
                64:'-35x-85y177z',
                65:'-38x-81y178z',
                66:'-39x-187y56z',
                67:'-3x-26y198z',
                68:'-3x-3y199z',
                69:'-42x-77y179z',
                70:'-44x-169y96z',
                71:'-45x-73y180z',
                72:'-48x-69y181z',
                73:'-49x-184y58z',
                74:'-4x-24y198z',
                75:'-4x-5y199z',
                76:'-4x-7y199z',
                77:'-50x-65y181z',
                78:'-52x-166y98z',
                79:'-52x-61y182z',
                80:'-54x-57y183z',
                81:'-55x-10y191z',
                82:'-56x-53y184z',
                83:'-57x-13y191z',
                84:'-57x-49y185z',
                85:'-58x-17y190z',
                86:'-58x-181y60z',
                87:'-58x-44y185z',
                88:'-59x-20y189z',
                89:'-59x-24y189z',
                90:'-59x-28y188z',
                91:'-59x-36y187z',
                92:'-59x-40y186z',
                93:'-5x-11y199z',
                94:'-5x-19y198z',
                95:'-5x-22y198z',
                96:'-5x-9y199z',
                97:'-60x-32y187z',
                98:'-61x-162y99z',
                99:'-68x-177y62z',
                100:'-69x-157y101z',
                101:'-6x-13y199z',
                102:'-6x-15y199z',
                103:'-6x-17y199z',
                104:'-71x-74y171z',
                105:'-74x-69y172z',
                106:'-76x-153y103z',
                107:'-76x-64y173z',
                108:'-77x-173y64z',
                109:'-78x-59y174z',
                110:'-79x-54y175z',
                111:'-81x-43y177z',
                112:'-81x-49y176z',
                113:'-82x-33y178z',
                114:'-82x-38y177z',
                115:'-84x-147y104z',
                116:'-85x-168y66z',
                117:'-8x-102y171z',
                118:'-8x-178y89z',
                119:'-91x-142y106z',
                120:'-94x-162y68z',
                121:'-98x-136y108z',
                122:'0x-193y48z',
                123:'0x-30y197z',
                124:'0x0y199z'}
         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire200seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire200seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE200SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE200SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE200SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE200SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE200SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven2004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE200SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE200SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE200SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven2004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven2004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE200SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE200SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE200SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire200seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       